var FavorisSvc = function () {
    var listeFavoris = [];
    return {
        ajouter: function (favoris) {
            if (favoris && favoris.imdbID) {
                listeFavoris.push(favoris);
            }
        },
        supprimer: function (imdbID) {
            if (imdbID) {
                var index = -1;
                for (var i = 0; i < listeFavoris.length; i++) {
                    if (listeFavoris[0]
                        && listeFavoris[0].imdbID === imdbID) {
                        index = i;
                    }
                }
                if (i !== -1) {
                    listeFavoris.splice(index, 1);
                }
            }
        },
        lister: function () {
            return listeFavoris;
        }
    };
};